Bug 90088 - Buildconflict with apr-svn, libtool and apache22
Summary: Buildconflict with apr-svn, libtool and apache22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Clement Laforet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-07 22:10 UTC by Melvyn Sopacua
Modified: 2007-12-11 20:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Melvyn Sopacua 2005-12-07 22:10:02 UTC
	Detectable only I guess, when you install subversion (or it's upstream dependencies)
	before you install apache2.
	Some things to note:
	* CC not set in make.conf
	* cat /usr/local/share/config.site
	# local configure settings

	test x"$CFLAGS" = x"" && CFLAGS='-O2 -fno-strict-aliasing -pipe' # Same as <sys.mk>
	test x"$CC" = x"" && CC='/usr/bin/cc'
	test x"$CXX" = x"" && CXX='/usr/bin/c++'
	test x"$MAKE" = x"" && MAKE='/usr/bin/make'

	* cat /var/db/pkg/apr-nothr-db4-1.2.2_1/+REQUIRED_BY
	c_c++_reference-2.0.2_4
	kde-3.4.3
	kdesdk-3.4.3
	kdevelop-3.2.3
	subversion-1.3.0.r2

	Symptom:
	===>  Building for apache-worker-2.2.0_1
	Making all in srclib
	Making all in pcre
	/usr/local/build-1/libtool --silent --mode=compile cc   -O2 ....
	libtool: compile: unable to infer tagged configuration
	libtool: compile: specify a tag with `--tag'
	*** Error code 1
	
	Analysis:
	$ grep '/cc' /usr/local/build-1/libtool
	LTCC="/usr/bin/cc"
	CC="/usr/bin/cc"
	LTCC="/usr/bin/cc"
	LTCC="/usr/bin/cc"
	
	So, CC is set to <sys.mk>'s default value 'cc' when building apache22,
	while the installed 'tagged' libtool has /usr/bin/cc, which are 'different'
	from libtools point of view.

	The same thing might happen if you set different CC's during either of these
	compiles and it's quite cryptic at first glance.

Fix: 

Several possibilities, my config.site does not conflict with any other port I've
	seen, it's used mainly for my own builds and stuff not in ports, so it leads me
	to believe that the run-autotools target in devel/apr/Makefile should export CC
	and CXX, so that config.site doesn't set it.
	If CC and CXX cannot be exported, add a reference to this PR in pre-configure
	target with the error message described above -;)

	Or: Add a conflict apr-svn <=> apache22.

	As a side note, apr-svn builds without threads, not sure if this is a problem
	if one decides for the worker MPM in apache.
How-To-Repeat: 	Short version:
	pkg_deinstall -f 'apr-*' # if applicable
	portinstall devel/subversion; portinstall www/apache2
Comment 1 Edwin Groothuis freebsd_committer 2005-12-07 22:13:26 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2005-12-08 02:03:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Over to maintainer.
Comment 3 Erwin Lansing freebsd_committer 2006-12-29 18:50:00 UTC
State Changed
From-To: feedback->open

Not waiting for feedback but for clement. Set state to open.
Comment 4 Clement Laforet freebsd_committer 2007-12-11 20:24:05 UTC
State Changed
From-To: open->closed

Fix committed, thanks!